import type { Logger } from '@mongodb-js/compass-logging/provider';
import { mongoLogId } from '@mongodb-js/compass-logging/provider';
export type TrackFunction = (event: string, properties: Record<string, any>) => void;
export type LogMessage = {
    id: number;
    t: {
        $date: string;
    };
    s: 'F' | 'E' | 'W' | 'I' | 'D1' | 'D2' | 'D3' | 'D4' | 'D5';
    c: string;
    ctx: string;
    msg: string;
    attr?: any;
};
export type LogFunction = (message: LogMessage) => void;
export type DebugFunction = (...args: any[]) => void;
type Debugger = Logger['debug'];
export declare class CompassWebLoggerAndTelemetry implements Logger {
    private component;
    private callbackRef;
    log: Logger['log'];
    debug: Debugger;
    constructor(component: string, callbackRef: {
        current: {
            onLog?: LogFunction;
            onDebug?: DebugFunction;
        };
    });
    mongoLogId: typeof mongoLogId;
    createLogger: (component: string) => Logger;
}
export declare function useCompassWebLoggerAndTelemetry(callbacks: {
    onLog?: LogFunction;
    onDebug?: DebugFunction;
}): CompassWebLoggerAndTelemetry;
export {};
//# sourceMappingURL=logger-and-telemetry.d.ts.map